summaryrefslogtreecommitdiff
path: root/tools/gator/debian/gator-daemon.postrm
diff options
context:
space:
mode:
authorJon Medhurst <tixy@linaro.org>2012-05-04 14:39:28 +0100
committerJon Medhurst <tixy@linaro.org>2012-05-23 09:07:42 +0100
commit2934a4eeb47b768fd30a4aa061c8d1deaa5499dd (patch)
treedc2dae19fe30abaed10408d3646d6e6fbfd2e31c /tools/gator/debian/gator-daemon.postrm
parentc1e8d232d14e7e751d5ba50796aa840e7f825865 (diff)
gator: ubuntu: Add packaging
Files and scripts for creating Debian packages for Gator and ARM DS-5 target. Signed-off-by: Jon Medhurst <tixy@linaro.org>
Diffstat (limited to 'tools/gator/debian/gator-daemon.postrm')
-rw-r--r--tools/gator/debian/gator-daemon.postrm41
1 files changed, 41 insertions, 0 deletions
diff --git a/tools/gator/debian/gator-daemon.postrm b/tools/gator/debian/gator-daemon.postrm
new file mode 100644
index 00000000000..97518f4e1a1
--- /dev/null
+++ b/tools/gator/debian/gator-daemon.postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postrm script for gator-daemon
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ rm -rf /var/lib/gatord/
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0